Wallet
錢包 - 淨值
取得錢包目前淨值,包括所有代幣持倉及價格
GET
/
v2
/
wallet
/
{chain}
/
{walletAddress}
/
net-worth
錢包 - 淨值
curl --request GET \
--url https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/net-worth \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/net-worth"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/net-worth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"currentTimestamp": "2025-10-30T03:33:40.980Z",
"data": [
{
"amount": "1000.50",
"chain": "sol",
"decimals": 6,
"isActive": true,
"name": "USD Coin",
"priceInNative": "0.00000667",
"priceInUsd": "1.0001",
"symbol": "USDC",
"tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"valueInNative": "6.67",
"valueInUsd": "1000.60",
"accuAmount": "<string>",
"avgCostUsd": "<string>",
"lastActiveAt": 123,
"logoUri": "https://s1.chainstream.io/tokens/images/usdc.webp",
"realizedPnlInUsd": "<string>",
"unrealizedPnlInUsd": "<string>",
"walletTokenTags": [
"<string>"
]
}
],
"totalValueInNative": "82.31",
"totalValueInUsd": "12345.67",
"walletAddress": "3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w",
"endCursor": "eyJpZCI6ImVuZCJ9",
"hasNext": false,
"hasPrev": false,
"startCursor": "eyJpZCI6InN0YXJ0In0="
}授權
bearer_authapi_key_auth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
路徑參數
支援網路列表中的鏈名稱 Supported blockchain chains
可用選項:
sol, eth, bsc 錢包地址
查詢參數
分頁游標
每頁回傳結果數量
分頁方向(next 或 prev) Pagination direction
可用選項:
next, prev 回應
200 - application/json
成功回應
Paginated wallet net-worth page (mirrors TS WalletNetWorthPage).
目前伺服器時間戳
範例:
"2025-10-30T03:33:40.980Z"
代幣淨值明細列表
Show child attributes
Show child attributes
投資組合總價值(原生代幣計)
範例:
"82.31"
投資組合總價值(USD 計)
範例:
"12345.67"
錢包地址
範例:
"3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w"
目前頁結束游標
範例:
"eyJpZCI6ImVuZCJ9"
是否有下一頁
範例:
false
是否有上一頁
範例:
false
目前頁起始游標
範例:
"eyJpZCI6InN0YXJ0In0="
這個頁面有幫助嗎?
⌘I
錢包 - 淨值

